[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#537777: marked as done (error 'aterm: symbol lookup error: aterm: undefined symbol: dpy')

Your message dated Mon, 20 Jul 2009 22:32:22 +0000
with message-id <E1MT1PC-0007rQ-6h@ries.debian.org>
and subject line Bug#537777: fixed in aterm 1.0.1-7
has caused the Debian Bug report #537777,
regarding error 'aterm: symbol lookup error: aterm: undefined symbol: dpy'
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact owner@bugs.debian.org

537777: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=537777
Debian Bug Tracking System
Contact owner@bugs.debian.org with problems
--- Begin Message ---
Package: aterm
Version: 1.0.1-6
Severity: important

from strace of aterm launched from x-terminal:
writev(2, [{"aterm", 5}, {": ", 2}, {"symbol lookup error", 19}, {": ", 2}, {"aterm", 5}, {": ", 2}, {"undefined symbol: dpy", 21}, {"", 0}, {"", 0}, {"\n", 1}], 10aterm: symbol lookup error: aterm: undefined symbol: dpy
) = 57

I am not sure if there is a library that should be required for aterm but isn't required, as apt-cache show aterm shows the following:
 It was created with AfterStep Window Manager users
 in mind, but is not tied to any libraries, and can be used anywhere.
and i have all debian Depends: installed

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.29-1-686 (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages aterm depends on:
ii  libafterimage0         2.2.9-1           imaging library designed for After
ii  libc6                  2.9-21            GNU C Library: Shared libraries
ii  libcairo2              1.8.8-2           The Cairo 2D vector graphics libra
ii  libfreetype6           2.3.9-5           FreeType 2 font engine, shared lib
ii  libglib2.0-0           2.20.4-1          The GLib library of C routines
ii  libgtk2.0-0            2.16.4-1          The GTK+ graphical user interface 
ii  libice6                2:1.0.5-1         X11 Inter-Client Exchange library
ii  libjpeg62              6b-14             The Independent JPEG Group's JPEG 
ii  libpng12-0             1.2.38-1          PNG library - runtime
ii  librsvg2-2             2.26.0-1          SAX-based renderer library for SVG
ii  libsm6                 2:1.1.0-2         X11 Session Management library
ii  libtiff4               3.8.2-13          Tag Image File Format (TIFF) libra
ii  libx11-6               2:1.2.2-1         X11 client-side library
ii  libxext6               2:1.0.4-1         X11 miscellaneous extension librar
ii  zlib1g                 1: compression library - runtime

aterm recommends no packages.

aterm suggests no packages.

-- no debconf information

Shawn Lamson

--- End Message ---
--- Begin Message ---
Source: aterm
Source-Version: 1.0.1-7

We believe that the bug you reported is fixed in the latest version of
aterm, which is due to be installed in the Debian FTP archive:

  to pool/main/a/aterm/aterm-ml_1.0.1-7_i386.deb
  to pool/main/a/aterm/aterm_1.0.1-7.diff.gz
  to pool/main/a/aterm/aterm_1.0.1-7.dsc
  to pool/main/a/aterm/aterm_1.0.1-7_i386.deb

A summary of the changes between this version and the previous one is

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 537777@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
Robert Luberda <robert@debian.org> (supplier of updated aterm package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)

Hash: SHA1

Format: 1.8
Date: Mon, 20 Jul 2009 23:18:25 +0200
Source: aterm
Binary: aterm aterm-ml
Architecture: source i386
Version: 1.0.1-7
Distribution: unstable
Urgency: low
Maintainer: Debian QA Group <packages@qa.debian.org>
Changed-By: Robert Luberda <robert@debian.org>
 aterm      - Afterstep XVT - a VT102 emulator for the X window system
 aterm-ml   - Afterstep XVT - a VT102 emulator for the X window system
Closes: 537777
 aterm (1.0.1-7) unstable; urgency=low
   * QA upload.
   * Add 31_dpy.dpatch to fix problems caused by libafterimage's API & ABI
     change (closes: #537777).
   * Made libafterimage-dev build dependency versioned.
 853ce6820e6bc95ac06a4e9bddcce11dd5d711a3 1061 aterm_1.0.1-7.dsc
 44ba84ad6f88271bc7ee0e0951043c5ceea7c422 14909 aterm_1.0.1-7.diff.gz
 5ffc73a48f5ee14de3695acb61176dacdafb5b26 84760 aterm_1.0.1-7_i386.deb
 272f2c45a88593eb89a5a4e51387510e6254c2a4 265372 aterm-ml_1.0.1-7_i386.deb
 89ddefc2207cb7baca8ee0a24d099aaea4734ff4f3ceef54ae4ef129c8ff620d 1061 aterm_1.0.1-7.dsc
 445addc43abcd2a36d2788b4642b3e5a5353fe77851dc78e802418947718df95 14909 aterm_1.0.1-7.diff.gz
 2d80764df3c79c646cdf9e111ab0b37fd6706c3f287542a7e6d2fe3cb45d47e9 84760 aterm_1.0.1-7_i386.deb
 d58eacfdb6d08f4c61060f822923e0db9430aa0f25018a85486367421f0e5dbd 265372 aterm-ml_1.0.1-7_i386.deb
 aca7dbf9e04f1f236c4d8aa0f171b9dc 1061 x11 optional aterm_1.0.1-7.dsc
 239034763b17d4935c15f82d350aff40 14909 x11 optional aterm_1.0.1-7.diff.gz
 5a6680968c6fd51fa4b6e49050f10a36 84760 x11 optional aterm_1.0.1-7_i386.deb
 3a4195d6fd2ce09f1e0922a8fbd89ddc 265372 x11 optional aterm-ml_1.0.1-7_i386.deb

Version: GnuPG v1.4.9 (GNU/Linux)


--- End Message ---

Reply to: